php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm


Advertisement

Description

php-phpunit-phploc - A tool for quickly measuring the size of a PHP project

Property Value
Distribution Fedora 30
Repository Fedora Updates Testing i386
Package filename php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm
Package name php-phpunit-phploc
Package version 5.0.0
Package release 1.fc30
Package architecture noarch
Package type rpm
Homepage https://github.com/sebastianbergmann/phploc
License BSD
Maintainer -
Download size 23.02 KB
Installed size 67.58 KB
phploc is a tool for quickly measuring the size of a PHP project.
The goal of phploc is not not to replace more sophisticated tools such as phpcs,
pdepend, or phpmd, but rather to provide an alternative to them when you just
need to get a quick understanding of a project's size.

Alternatives

Package Version Architecture Repository
php-phpunit-phploc-5.0.0-1.fc30.remi.noarch.rpm 5.0.0 noarch Les RPM de Remi
php-phpunit-phploc-5.0.0-1.fc30.remi.noarch.rpm 5.0.0 noarch Les RPM de Remi
php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm 5.0.0 noarch Fedora
php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm 5.0.0 noarch Fedora
php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm 5.0.0 noarch Fedora Updates Testing
php-phpunit-phploc - - -

Requires

Name Value
(php-composer(sebastian/finder-facade) >= 1.1 with php-composer(sebastian/finder-facade) < 2)
(php-composer(sebastian/version) >= 2.0 with php-composer(sebastian/version) < 3)
(php-composer(symfony/console) >= 4.0 with php-composer(symfony/console) < 5)
/usr/bin/env -
php(language) >= 7.2
php-cli -
php-composer(fedora/autoloader) -
php-dom -
php-json -
php-spl -
php-tokenizer -

Provides

Name Value
php-composer(phploc/phploc) = 5.0.0
php-pear(pear.phpunit.de/phploc) = 5.0.0
php-phpunit-phploc = 5.0.0-1.fc30
phploc = 5.0.0

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-phpunit-phploc-5.0.0-1.fc30.noarch.rpm
Source Package php-phpunit-phploc-5.0.0-1.fc30.src.rpm

Install Howto

Install php-phpunit-phploc rpm package:

# dnf --enablerepo=updates-testing install php-phpunit-phploc

Files

Path
/usr/bin/phploc
/usr/share/doc/php-phpunit-phploc/README.md
/usr/share/doc/php-phpunit-phploc/composer.json
/usr/share/licenses/php-phpunit-phploc/LICENSE
/usr/share/php/SebastianBergmann/PHPLOC/Analyser.php
/usr/share/php/SebastianBergmann/PHPLOC/Collector.php
/usr/share/php/SebastianBergmann/PHPLOC/Publisher.php
/usr/share/php/SebastianBergmann/PHPLOC/autoload.php
/usr/share/php/SebastianBergmann/PHPLOC/CLI/Application.php
/usr/share/php/SebastianBergmann/PHPLOC/CLI/Command.php
/usr/share/php/SebastianBergmann/PHPLOC/Exception/Exception.php
/usr/share/php/SebastianBergmann/PHPLOC/Exception/RuntimeException.php
/usr/share/php/SebastianBergmann/PHPLOC/Log/Csv.php
/usr/share/php/SebastianBergmann/PHPLOC/Log/Json.php
/usr/share/php/SebastianBergmann/PHPLOC/Log/Text.php
/usr/share/php/SebastianBergmann/PHPLOC/Log/Xml.php

Changelog

2019-03-17 - Remi Collet <remi@remirepo.net> - 5.0.0-1
- update to 5.0.0
- raise dependency on PHP 7.2
- add dependency on php-json
- only allow Symfony 4
- use phpunit8 for upstream test suite
2019-02-02 - Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
2018-10-15 - Remi Collet <remi@remirepo.net> - 4.0.1-4
- add patch for PHP 7.3
2018-07-13 - Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-02-06 - Remi Collet <remi@remirepo.net> - 4.0.1-2
- use range dependencies on F27+
- undefine __brp_mangle_shebangs
2017-11-19 - Remi Collet <remi@remirepo.net> - 4.0.1-1
- Update to 4.0.1
- allow Symfony 4
2017-07-27 - Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-06-07 - Remi Collet <remi@remirepo.net> - 4.0.0-1
- Update to 4.0.0
- use phpunit6 when available
- drop dependency on sebastian/git
- raise dependency on sebastian/version 2.0
2017-05-11 - Remi Collet <remi@remirepo.net> - 3.0.1-3
- switch to fedora/autoloader
- use Symfony 3 when available

See Also

Package Description
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm Lacking future-compat polyfills for PHPUnit
php-swiftmailer6-6.2.0-1.fc30.noarch.rpm Free Feature-rich PHP Mailer
php-symfony-polyfill-1.11.0-1.fc30.noarch.rpm Symfony polyfills backporting features to lower PHP versions
php-theseer-tokenizer-1.1.2-1.fc30.noarch.rpm Library for converting tokenized PHP source code into XML
php-zendframework-zend-feed-2.12.0-1.fc30.noarch.rpm Zend Framework Feed component
php-zendframework-zend-mime-2.7.2-2.fc30.noarch.rpm Zend Framework Mime component
php-zendframework-zend-server-2.8.1-2.fc30.noarch.rpm Zend Framework Server component
php-zendframework-zend-text-2.7.1-2.fc30.noarch.rpm Zend Framework Text component
php-zendframework-zend-validator-2.12.1-1.fc30.noarch.rpm Zend Framework Validator component
php-zendframework-zenddiagnostics-1.5.0-1.fc30.noarch.rpm A set of components for performing diagnostic tests
phpwapmail-0.9.5-1.fc30.noarch.rpm WAP-based e-mail client
physfs-3.0.2-1.fc30.i686.rpm Library to provide abstract access to various archives
physfs-devel-3.0.2-1.fc30.i686.rpm Development libraries and headers for physfs
pidgin-sipe-1.25.0-1.fc30.i686.rpm Pidgin protocol plugin to connect to MS Office Communicator
pipenv-2018.11.26-7.fc30.noarch.rpm The higher level Python packaging tool
Advertisement
Advertisement